apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.postgresql.primary.extraEnvVarsSecret }}
  namespace: transaction-plane
  annotations:
    reflector.v1.k8s.emberstack.com/reflection-allowed: "true"
    reflector.v1.k8s.emberstack.com/reflection-allowed-namespaces: control-plane,base
    reflector.v1.k8s.emberstack.com/reflection-auto-enabled: "true"
    reflector.v1.k8s.emberstack.com/reflection-auto-namespaces: control-plane,base
{{ if .Values.securePasswords }}
    secret-generator.v1.mittwald.de/autogenerate: VAULT_PASSWORD,TRANSACTION_SERVICE_PASSWORD,ARGO_PASSWORD,KEYCLOAK_PASSWORD,APP_SERVICE_PASSWORD,CONTRACT_SERVICE_PASSWORD
data:
  ARGO_USERNAME: {{ "argo_workflows" | b64enc }}
{{ else }}
data:
  ARGO_USERNAME: {{ "argo_workflows" | b64enc }}
  ARGO_PASSWORD: {{ "argoPassword" | b64enc }}
  KEYCLOAK_PASSWORD: {{ "keycloakPassword" | b64enc }}
  VAULT_PASSWORD: {{ "vaultPassword" | b64enc }}
  TRANSACTION_SERVICE_PASSWORD: {{ "transactionServicePassword" | b64enc }}
  TRANSACTION_SERVICE_PASSWORD: {{ "transactionServicePassword" | b64enc }}
  APP_SERVICE_PASSWORD: {{ "appServicePassword" | b64enc }}
  CONTRACT_SERVICE_PASSWORD: {{ "contractServicePassword" | b64enc }}
{{ end }}
type: Opaque
